Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins
Class SWRLBuiltInUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.SWRLBuiltInUtil

    public class SWRLBuiltInUtil

extends Object

Class containing argument processing utility methods that can be used in built-in method implementations.

Constructor Summary
`SWRLBuiltInUtil()`

Method Summary
`static boolean` | `areAllArgumentLiterals(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsBooleans(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsDoubles(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsFloats(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsIntegers(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsLongs(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsNumeric(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsOfAnOrderedType(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsShorts(List<BuiltInArgument> arguments)`
`static boolean` | `areAllArgumentsStrings(List<BuiltInArgument> arguments)`
`static void` | `checkArgumentNumber(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkForNonVariableArguments(List<BuiltInArgument> arguments, String message)`
`static void` | `checkForUnboundArguments(List<BuiltInArgument> arguments)`
`static void` | `checkForUnboundArguments(List<BuiltInArgument> arguments, String message)`
`static void` | `checkForUnboundArguments(String ruleName, String builtInName, List<BuiltInArgument> arguments)`
`static void` | `checkForUnboundNonFirstArguments(List<BuiltInArgument> arguments)`
`static void` | `checkNumberOfArgumentsAtLeast(int expectingAtLeast, int actual)`
`static void` | `checkNumberOfArgumentsAtMost(int expectingAtMost, int actual)`
`static void` | `checkNumberOfArgumentsEqualTo(int expecting, int actual)`
`static void` | `checkNumberOfArgumentsInRange(int expectingAtLeast, int expectingAtMost, int actual)`
`static void` | `checkThatAllArgumentsAreBound(List<BuiltInArgument> arguments)`
`static void` | `checkThatAllArgumentsAreFloats(List<BuiltInArgument> arguments)`
`static void` | `checkThatAllArgumentsAreIntegers(List<BuiltInArgument> arguments)`
`static void` | `checkThatAllArgumentsAreLiterals(List<BuiltInArgument> arguments)`
`static void` | `checkThatAllArgumentsAreNumeric(List<BuiltInArgument> arguments)`
`static void` | `checkThatAllArgumentsAreOfAnOrderedType(List<BuiltInArgument> arguments)`
`static void` | `checkThatAllArgumentsAreStrings(List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsABoolean(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAClass(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAClassPropertyOrIndividual(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsADouble(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAFloat(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsALiteral(BuiltInArgument argument)`
`static void` | `checkThatArgumentIsALiteral(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsALong(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAnIndividual(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAnInteger(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAnOWLDatatypeValue(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAProperty(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsAString(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsBound(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsNonNumeric(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsNumeric(int argumentNumber, List<BuiltInArgument> arguments)`
`static void` | `checkThatArgumentIsOfAnOrderedType(int argumentNumber, List<BuiltInArgument> arguments)`
`static List<BuiltInArgument>` | `copyArguments(List<BuiltInArgument> arguments)`
`static String` | `createInvocationPattern(SWRLRuleEngineBridge invokingBridge, String invokingRuleName, int invokingBuiltInIndex, boolean isInConsequent, List<BuiltInArgument> arguments)` Create a string that represents a unique invocation pattern for a built-in for a bridge/rule/built-in/argument combination.
`static void` | `generateBuiltInBindings(SWRLRuleEngineBridge bridge, String ruleName, String builtInName, int builtInIndex, List<BuiltInArgument> arguments)`
`static BigDecimal` | `getArgumentAsABigDecimal(int argumentNumber, List<BuiltInArgument> arguments)`
`static BigInteger` | `getArgumentAsABigInteger(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `getArgumentAsABoolean(int argumentNumber, List<BuiltInArgument> arguments)`
`static String` | `getArgumentAsAClassName(int argumentNumber, List<BuiltInArgument> arguments)`
`static double` | `getArgumentAsADouble(BuiltInArgument argument)`
`static double` | `getArgumentAsADouble(int argumentNumber, List<BuiltInArgument> arguments)`
`static float` | `getArgumentAsAFloat(int argumentNumber, List<BuiltInArgument> arguments)`
`static OWLDatatypeValue` | `getArgumentAsALiteral(BuiltInArgument argument)`
`static OWLDatatypeValue` | `getArgumentAsALiteral(int argumentNumber, List<BuiltInArgument> arguments)`
`static long` | `getArgumentAsALong(int argumentNumber, List<BuiltInArgument> arguments)`
`static String` | `getArgumentAsAnIndividualName(int argumentNumber, List<BuiltInArgument> arguments)`
`static int` | `getArgumentAsAnInteger(int argumentNumber, List<BuiltInArgument> arguments)`
`static OWLClass` | `getArgumentAsAnOWLClass(int argumentNumber, List<BuiltInArgument> arguments)`
`static OWLDatatypeValue` | `getArgumentAsAnOWLDatatypeValue(int argumentNumber, List<BuiltInArgument> arguments)`
`static OWLIndividual` | `getArgumentAsAnOWLIndividual(int argumentNumber, List<BuiltInArgument> arguments)`
`static OWLProperty` | `getArgumentAsAnOWLProperty(int argumentNumber, List<BuiltInArgument> arguments)`
`static String` | `getArgumentAsAPropertyName(int argumentNumber, List<BuiltInArgument> arguments)`
`static Object` | `getArgumentAsAPropertyValue(int argumentNumber, List<BuiltInArgument> arguments)` Take an bound Argument object with types ClassArgument, PropertyArgument, IndividualArgument, or DatatypeValueArgument and return it as a property value representation.
`static String` | `getArgumentAsAResourceName(int argumentNumber, List<BuiltInArgument> arguments)`
`static short` | `getArgumentAsAShort(int argumentNumber, List<BuiltInArgument> arguments)`
`static String` | `getArgumentAsAString(int argumentNumber, List<BuiltInArgument> arguments)`
`static int` | `getFirstUnboundArgument(List<BuiltInArgument> arguments)` Get 0-offset position of first unbound argument; return -1 if no unbound arguments are found.
`static String` | `getPrefixedVariableName(int argumentNumber, List<BuiltInArgument> arguments)`
`static String` | `getVariableName(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `hasUnboundArguments(List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentABoolean(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAClass(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAClassPropertyOrIndividual(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentADatatypeValue(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentADouble(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAFloat(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentALiteral(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentALong(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAnIndividual(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAnInteger(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAProperty(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAShort(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentAString(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentConvertableToDouble(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentConvertableToFloat(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentConvertableToInteger(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentConvertableToLong(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentConvertableToShort(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentNonNumeric(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentNumeric(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isArgumentOfAnOrderedType(int argumentNumber, List<BuiltInArgument> arguments)`
`static boolean` | `isFloatMostPreciseArgument(List<BuiltInArgument> arguments)`
`static boolean` | `isIntegerMostPreciseArgument(List<BuiltInArgument> arguments)`
`static boolean` | `isLongMostPreciseArgument(List<BuiltInArgument> arguments)`
`static boolean` | `isShortMostPreciseArgument(List<BuiltInArgument> arguments)`
`static boolean` | `isUnboundArgument(int argumentNumber, List<BuiltInArgument> arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLBuiltInUtil

    public SWRLBuiltInUtil()

Method Detail

### checkNumberOfArgumentsEqualTo

    public static void checkNumberOfArgumentsEqualTo(int expecting,
                                                     int actual)
                                              throws InvalidBuiltInArgumentNumberException

  Throws:
    `InvalidBuiltInArgumentNumberException`

### checkNumberOfArgumentsAtLeast

    public static void checkNumberOfArgumentsAtLeast(int expectingAtLeast,
                                                     int actual)
                                              throws InvalidBuiltInArgumentNumberException

  Throws:
    `InvalidBuiltInArgumentNumberException`

### checkNumberOfArgumentsAtMost

    public static void checkNumberOfArgumentsAtMost(int expectingAtMost,
                                                    int actual)
                                             throws InvalidBuiltInArgumentNumberException

  Throws:
    `InvalidBuiltInArgumentNumberException`

### checkNumberOfArgumentsInRange

    public static void checkNumberOfArgumentsInRange(int expectingAtLeast,
                                                     int expectingAtMost,
                                                     int actual)
                                              throws InvalidBuiltInArgumentNumberException

  Throws:
    `InvalidBuiltInArgumentNumberException`

### checkThatAllArgumentsAreLiterals

    public static void checkThatAllArgumentsAreLiterals(List<BuiltInArgument> arguments)
                                                 throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatAllArgumentsAreNumeric

    public static void checkThatAllArgumentsAreNumeric(List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatAllArgumentsAreIntegers

    public static void checkThatAllArgumentsAreIntegers(List<BuiltInArgument> arguments)
                                                 throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsShorts

    public static boolean areAllArgumentsShorts(List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsIntegers

    public static boolean areAllArgumentsIntegers(List<BuiltInArgument> arguments)
                                           throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsLongs

    public static boolean areAllArgumentsLongs(List<BuiltInArgument> arguments)
                                        throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsFloats

    public static boolean areAllArgumentsFloats(List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsDoubles

    public static boolean areAllArgumentsDoubles(List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentConvertableToDouble

    public static boolean isArgumentConvertableToDouble(int argumentNumber,
                                                        List<BuiltInArgument> arguments)
                                                 throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentConvertableToFloat

    public static boolean isArgumentConvertableToFloat(int argumentNumber,
                                                       List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentConvertableToLong

    public static boolean isArgumentConvertableToLong(int argumentNumber,
                                                      List<BuiltInArgument> arguments)
                                               throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentConvertableToInteger

    public static boolean isArgumentConvertableToInteger(int argumentNumber,
                                                         List<BuiltInArgument> arguments)
                                                  throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentConvertableToShort

    public static boolean isArgumentConvertableToShort(int argumentNumber,
                                                       List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### isShortMostPreciseArgument

    public static boolean isShortMostPreciseArgument(List<BuiltInArgument> arguments)
                                              throws BuiltInException

  Throws:
    `BuiltInException`

### isIntegerMostPreciseArgument

    public static boolean isIntegerMostPreciseArgument(List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### isLongMostPreciseArgument

    public static boolean isLongMostPreciseArgument(List<BuiltInArgument> arguments)
                                             throws BuiltInException

  Throws:
    `BuiltInException`

### isFloatMostPreciseArgument

    public static boolean isFloatMostPreciseArgument(List<BuiltInArgument> arguments)
                                              throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsBooleans

    public static boolean areAllArgumentsBooleans(List<BuiltInArgument> arguments)
                                           throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentLiterals

    public static boolean areAllArgumentLiterals(List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsNumeric

    public static boolean areAllArgumentsNumeric(List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsStrings

    public static boolean areAllArgumentsStrings(List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### areAllArgumentsOfAnOrderedType

    public static boolean areAllArgumentsOfAnOrderedType(List<BuiltInArgument> arguments)
                                                  throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatAllArgumentsAreFloats

    public static void checkThatAllArgumentsAreFloats(List<BuiltInArgument> arguments)
                                               throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatAllArgumentsAreStrings

    public static void checkThatAllArgumentsAreStrings(List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatAllArgumentsAreOfAnOrderedType

    public static void checkThatAllArgumentsAreOfAnOrderedType(List<BuiltInArgument> arguments)
                                                        throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsALiteral

    public static void checkThatArgumentIsALiteral(int argumentNumber,
                                                   List<BuiltInArgument> arguments)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsALiteral

    public static void checkThatArgumentIsALiteral(BuiltInArgument argument)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsNumeric

    public static void checkThatArgumentIsNumeric(int argumentNumber,
                                                  List<BuiltInArgument> arguments)
                                           throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsOfAnOrderedType

    public static void checkThatArgumentIsOfAnOrderedType(int argumentNumber,
                                                          List<BuiltInArgument> arguments)
                                                   throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentOfAnOrderedType

    public static boolean isArgumentOfAnOrderedType(int argumentNumber,
                                                    List<BuiltInArgument> arguments)
                                             throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAnIndividual

    public static boolean isArgumentAnIndividual(int argumentNumber,
                                                 List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentADatatypeValue

    public static boolean isArgumentADatatypeValue(int argumentNumber,
                                                   List<BuiltInArgument> arguments)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAnIndividual

    public static void checkThatArgumentIsAnIndividual(int argumentNumber,
                                                       List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAnOWLDatatypeValue

    public static void checkThatArgumentIsAnOWLDatatypeValue(int argumentNumber,
                                                             List<BuiltInArgument> arguments)
                                                      throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAnIndividualName

    public static String getArgumentAsAnIndividualName(int argumentNumber,
                                                       List<BuiltInArgument> arguments)
                                                throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAnOWLIndividual

    public static OWLIndividual getArgumentAsAnOWLIndividual(int argumentNumber,
                                                             List<BuiltInArgument> arguments)
                                                      throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAClassName

    public static String getArgumentAsAClassName(int argumentNumber,
                                                 List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAnOWLClass

    public static OWLClass getArgumentAsAnOWLClass(int argumentNumber,
                                                   List<BuiltInArgument> arguments)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAnOWLProperty

    public static OWLProperty getArgumentAsAnOWLProperty(int argumentNumber,
                                                         List<BuiltInArgument> arguments)
                                                  throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAnOWLDatatypeValue

    public static OWLDatatypeValue getArgumentAsAnOWLDatatypeValue(int argumentNumber,
                                                                   List<BuiltInArgument> arguments)
                                                            throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAResourceName

    public static String getArgumentAsAResourceName(int argumentNumber,
                                                    List<BuiltInArgument> arguments)
                                             throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAPropertyName

    public static String getArgumentAsAPropertyName(int argumentNumber,
                                                    List<BuiltInArgument> arguments)
                                             throws BuiltInException

  Throws:
    `BuiltInException`

### checkArgumentNumber

    public static void checkArgumentNumber(int argumentNumber,
                                           List<BuiltInArgument> arguments)
                                    throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentNumeric

    public static boolean isArgumentNumeric(int argumentNumber,
                                            List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentNonNumeric

    public static boolean isArgumentNonNumeric(int argumentNumber,
                                               List<BuiltInArgument> arguments)
                                        throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsNonNumeric

    public static void checkThatArgumentIsNonNumeric(int argumentNumber,
                                                     List<BuiltInArgument> arguments)
                                              throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAnInteger

    public static void checkThatArgumentIsAnInteger(int argumentNumber,
                                                    List<BuiltInArgument> arguments)
                                             throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAnInteger

    public static boolean isArgumentAnInteger(int argumentNumber,
                                              List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAnInteger

    public static int getArgumentAsAnInteger(int argumentNumber,
                                             List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAShort

    public static boolean isArgumentAShort(int argumentNumber,
                                           List<BuiltInArgument> arguments)
                                    throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAShort

    public static short getArgumentAsAShort(int argumentNumber,
                                            List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsABigDecimal

    public static BigDecimal getArgumentAsABigDecimal(int argumentNumber,
                                                      List<BuiltInArgument> arguments)
                                               throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsABigInteger

    public static BigInteger getArgumentAsABigInteger(int argumentNumber,
                                                      List<BuiltInArgument> arguments)
                                               throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentALiteral

    public static boolean isArgumentALiteral(int argumentNumber,
                                             List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAProperty

    public static boolean isArgumentAProperty(int argumentNumber,
                                              List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAProperty

    public static void checkThatArgumentIsAProperty(int argumentNumber,
                                                    List<BuiltInArgument> arguments)
                                             throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAClassPropertyOrIndividual

    public static void checkThatArgumentIsAClassPropertyOrIndividual(int argumentNumber,
                                                                     List<BuiltInArgument> arguments)
                                                              throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAClassPropertyOrIndividual

    public static boolean isArgumentAClassPropertyOrIndividual(int argumentNumber,
                                                               List<BuiltInArgument> arguments)
                                                        throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAClass

    public static boolean isArgumentAClass(int argumentNumber,
                                           List<BuiltInArgument> arguments)
                                    throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAClass

    public static void checkThatArgumentIsAClass(int argumentNumber,
                                                 List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsALiteral

    public static OWLDatatypeValue getArgumentAsALiteral(int argumentNumber,
                                                         List<BuiltInArgument> arguments)
                                                  throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsALiteral

    public static OWLDatatypeValue getArgumentAsALiteral(BuiltInArgument argument)
                                                  throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsALong

    public static void checkThatArgumentIsALong(int argumentNumber,
                                                List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentALong

    public static boolean isArgumentALong(int argumentNumber,
                                          List<BuiltInArgument> arguments)
                                   throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsALong

    public static long getArgumentAsALong(int argumentNumber,
                                          List<BuiltInArgument> arguments)
                                   throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAFloat

    public static void checkThatArgumentIsAFloat(int argumentNumber,
                                                 List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAFloat

    public static boolean isArgumentAFloat(int argumentNumber,
                                           List<BuiltInArgument> arguments)
                                    throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAFloat

    public static float getArgumentAsAFloat(int argumentNumber,
                                            List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsADouble

    public static void checkThatArgumentIsADouble(int argumentNumber,
                                                  List<BuiltInArgument> arguments)
                                           throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentADouble

    public static boolean isArgumentADouble(int argumentNumber,
                                            List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsADouble

    public static double getArgumentAsADouble(int argumentNumber,
                                              List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsADouble

    public static double getArgumentAsADouble(BuiltInArgument argument)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsABoolean

    public static void checkThatArgumentIsABoolean(int argumentNumber,
                                                   List<BuiltInArgument> arguments)
                                            throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentABoolean

    public static boolean isArgumentABoolean(int argumentNumber,
                                             List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsABoolean

    public static boolean getArgumentAsABoolean(int argumentNumber,
                                                List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsAString

    public static void checkThatArgumentIsAString(int argumentNumber,
                                                  List<BuiltInArgument> arguments)
                                           throws BuiltInException

  Throws:
    `BuiltInException`

### isArgumentAString

    public static boolean isArgumentAString(int argumentNumber,
                                            List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAString

    public static String getArgumentAsAString(int argumentNumber,
                                              List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### hasUnboundArguments

    public static boolean hasUnboundArguments(List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatAllArgumentsAreBound

    public static void checkThatAllArgumentsAreBound(List<BuiltInArgument> arguments)
                                              throws BuiltInException

  Throws:
    `BuiltInException`

### checkThatArgumentIsBound

    public static void checkThatArgumentIsBound(int argumentNumber,
                                                List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### isUnboundArgument

    public static boolean isUnboundArgument(int argumentNumber,
                                            List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Throws:
    `BuiltInException`

### getFirstUnboundArgument

    public static int getFirstUnboundArgument(List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Get 0-offset position of first unbound argument; return -1 if no unbound arguments are found.

  Throws:
    `BuiltInException`

### checkForUnboundArguments

    public static void checkForUnboundArguments(List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### checkForUnboundArguments

    public static void checkForUnboundArguments(List<BuiltInArgument> arguments,
                                                String message)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### checkForNonVariableArguments

    public static void checkForNonVariableArguments(List<BuiltInArgument> arguments,
                                                    String message)
                                             throws BuiltInException

  Throws:
    `BuiltInException`

### checkForUnboundNonFirstArguments

    public static void checkForUnboundNonFirstArguments(List<BuiltInArgument> arguments)
                                                 throws BuiltInException

  Throws:
    `BuiltInException`

### getVariableName

    public static String getVariableName(int argumentNumber,
                                         List<BuiltInArgument> arguments)
                                  throws BuiltInException

  Throws:
    `BuiltInException`

### getPrefixedVariableName

    public static String getPrefixedVariableName(int argumentNumber,
                                                 List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Throws:
    `BuiltInException`

### getArgumentAsAPropertyValue

    public static Object getArgumentAsAPropertyValue(int argumentNumber,
                                                     List<BuiltInArgument> arguments)
                                              throws BuiltInException

  Take an bound Argument object with types ClassArgument, PropertyArgument, IndividualArgument, or DatatypeValueArgument and return it as a property value representation. Class, property and individual argument are represented by strings containing their class, property or individual names, respectively; literal objects are represented by the appropriate Java type. Primitive XSD datatypes that do not have a corresponding Java type are not yet supported.

  Throws:
    `BuiltInException`

### createInvocationPattern

    public static String createInvocationPattern(SWRLRuleEngineBridge invokingBridge,
                                                 String invokingRuleName,
                                                 int invokingBuiltInIndex,
                                                 boolean isInConsequent,
                                                 List<BuiltInArgument> arguments)
                                          throws BuiltInException

  Create a string that represents a unique invocation pattern for a built-in for a bridge/rule/built-in/argument combination.

  Throws:
    `BuiltInException`

### checkForUnboundArguments

    public static void checkForUnboundArguments(String ruleName,
                                                String builtInName,
                                                List<BuiltInArgument> arguments)
                                         throws BuiltInException

  Throws:
    `BuiltInException`

### generateBuiltInBindings

    public static void generateBuiltInBindings(SWRLRuleEngineBridge bridge,
                                               String ruleName,
                                               String builtInName,
                                               int builtInIndex,
                                               List<BuiltInArgument> arguments)
                                        throws BuiltInException

  Throws:
    `BuiltInException`

### copyArguments

    public static List<BuiltInArgument> copyArguments(List<BuiltInArgument> arguments)
                                               throws BuiltInException

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.